<?xml version="1.0"?>
<!DOCTYPE faces-config PUBLIC "-//Sun Microsystems, Inc.//DTD JavaServer Faces Config 1.1//EN"
                              "http://java.sun.com/dtd/web-facesconfig_1_1.dtd">
<faces-config>
 <managed-bean>
  <managed-bean-name>bean</managed-bean-name>
  <managed-bean-class>org.ajax4jsf.Bean</managed-bean-class>
  <managed-bean-scope>request</managed-bean-scope>
  <managed-property>
   <property-name>text</property-name>
   <property-class>java.lang.String</property-class>
   <null-value/>
  </managed-property>
 </managed-bean>
 <managed-bean>
  <managed-bean-name>repeatData</managed-bean-name>
  <managed-bean-class>org.ajax4jsf.RepeatData</managed-bean-class>
  <managed-bean-scope>session</managed-bean-scope>
 </managed-bean>
 <managed-bean>
  <managed-bean-name>enclosedData</managed-bean-name>
  <managed-bean-class>org.ajax4jsf.EnclosedData</managed-bean-class>
  <managed-bean-scope>session</managed-bean-scope>
 </managed-bean>
 <managed-bean>
  <managed-bean-name>a4jTestBean</managed-bean-name>
  <managed-bean-class>org.ajax4jsf.A4jTestBean</managed-bean-class>
  <managed-bean-scope>request</managed-bean-scope>
 </managed-bean>
 <managed-bean>
  <managed-bean-name>messageBean</managed-bean-name>
  <managed-bean-class>org.ajax4jsf.MessageBean</managed-bean-class>
  <managed-bean-scope>session</managed-bean-scope>
 </managed-bean>
    <managed-bean>
        <managed-bean-name>dataManager</managed-bean-name>
        <managed-bean-class>control.test.ControlBackingBean</managed-bean-class>
        <managed-bean-scope>request</managed-bean-scope>
  </managed-bean>
	<managed-bean>
		<managed-bean-name>delme</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.TestBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>

 <navigation-rule>
  <navigation-case>
   <from-outcome>verify_cookie</from-outcome>
   <to-view-id>/pages/testCookie.xhtml</to-view-id>
   <redirect/>
  </navigation-case>
 </navigation-rule>
</faces-config>
